Make Python 3.5 Support OpenSSL 1.1.1 Version: A Complete Guide – Python Tutorial

By | October 18, 2019

Python 3.5 does not support OpenSSL 1.1.1 version, it only support OpenSSL 1.0 version defaultly. However, many python libraries need OpenSSL 1.1.1 version. How to make python 3.5 also can use OpenSSL 1.1.1? In this tutorial, we will tell you how to do.

Preliminary

You should use anaconda to install python 3.5. If you do not know how to install, you can read.

Install and Use Both Python 2 and Python 3 in Windows with Anaconda

Open anaconda navigator

In our computer, we have installed python 3.5 with anacond, it supports openssl 1.0.2r version.

python 3.5 openssl version 1.0

Click openssl and update openssl to 1.1.1c version

You can click the openssl and select Mark for specific version installation. In this example, we will update openssl from 1.0.2r to 1.1.1c.

update openssl from 1.0 to 1.1 version

Then we will find python 3.5 will support openssl 1.1.1 version.

python 3.5 support openssl 1.1.1 version

Leave a Reply

Your email address will not be published. Required fields are marked *